// Tap handler
function sendAction(action, props) {
  if (!props) {
    props = {};
  }
  var propsStr = JSON.stringify(props);
  anylist.sendAction(action, propsStr)
}

function updateViewportSettings() {
  var viewport = document.querySelector("meta[name=viewport]");
  var isiPad = navigator.userAgent.match(/iPad/i) != null;
  if (isiPad && window.innerWidth > 480 && window.innerWidth < 700) {
    //For form sheet modal
    
    viewport.setAttribute('content', 'width=540, initial-scale=1.0, maximum-scale=1.0, user-scalable=no');
  }
  else {
    viewport.setAttribute('content', 'width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no')
  }
}

(function () {
  updateViewportSettings();
}());